搜尋 Mozilla 技術支援網站

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

I have a four year old version of Firefox and it won't let me update to the most recent version. Help.

  • 1 回覆
  • 2 有這個問題
  • 2 次檢視
  • 最近回覆由 TonyE

more options

Current installed version of Firefox is 2.0.0.4 - 2006. I'm trying to upgrade to 3.6.8; while it will download, I don't get a prompt to drag it into the Applications folder. I think my installed version is so old it won't recognize the new one. What do I do to make the new version install?

所有回覆 (1)

more options

You have not specified the version of Mac OS X you are using. If you have 10.3.9 or earlier, the last version you can use is Firefox 2.0.0.20 available from ftp://ftp.mozilla.org/pub/mozilla.org/firefox/releases/2.0.0.20/mac/en-US/

Firefox 3 and above require at least OS X 10.4

If you do have 10.4 or above, see How to download and install Firefox on Mac